Subject: Re: [PATCH] mac80211: fix order of flag descriptions

From: Luis de Bethencourt <[email-masked]>
Date: Fri, 18 Mar 2016 17:49:36 +0000

On 18/03/16 17:46, Joe Perches wrote:
> On Fri, 2016-03-18 at 17:40 +0000, Luis de Bethencourt wrote:
>> On 18/03/16 17:29, Joe Perches wrote:
>>> On Fri, 2016-03-18 at 16:35 +0000, Luis de Bethencourt wrote:
>>>> Fix order of mac80211_rx_flags description to match the enum.
> []
>>>> I want ahead and fixed the order of the descriptions. checkpatch.pl was giving
>>>> a warning to my previous patch and I had a hunch it was because the wrong order
>>>> breaks the parser. Indeed it does and with this patch below checkpatch.pl does
>>>> not complain about this flag descriptions anymore.
>>> checkpatch complains?  About what?
>> warning: Enum value 'RX_FLAG_DUP_VALIDATED' not described in enum 'mac80211_rx_flags'
> 
> That's not a checkpatch warning.
> 
> cheers, Joe
> 

Oh no!

Joe is right. That isn't a checkpatch warning, but checkpatch just printing the line
in my commit message that goes over 75 characters. Which I kept that big to keep the
format from make htmldocs.

I still think the order of the documentation should match the enum regardless, it is
nicer for developers reading the code.

Sorry :( my bad for misinterpreting checkpatch's output.

Thanks you Joe for correcting me,
Luis